Package org.eclipse.birt.chart.model.attribute.impl

# Class FontDefinitionImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.FontDefinitionImpl

All Implemented Interfaces:
  `FontDefinition`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class FontDefinitionImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements FontDefinition
An implementation of the model object ' Font Definition'.

The following features are implemented:

- `Name`
- `Size`
- `Bold`
- `Italic`
- `Strikethrough`
- `Underline`
- `Word Wrap`
- `Alignment`
- `Rotation`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Constructor
Description
`FontDefinitionImpl(String sName, float fSize)`
A convenient constructor that allows partial definition of member variables.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetAlignment(TextAlignment newAlignment, org.eclipse.emf.common.notify.NotificationChain msgs)`
`FontDefinition`
`copyInstance()`
A convenient method to get an instance copy.
`static final FontDefinition`
`create(String sName, float fSize, boolean bBold, boolean bItalic, boolean bUnderline, boolean bStrikethrough, boolean bWordWrap, double dRotation, TextAlignment ta)`
NOTE: Manually written
`static final FontDefinition`
`createEmpty()`
Creates an empty FontDefinition instance.
`static final FontDefinition`
`createEmptyDefault()`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`boolean`
`equals(Object obj)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`TextAlignment`
`getAlignment()`
`String`
`getName()`
`double`
`getRotation()`
`float`
`getSize()`
`int`
`hashCode()`
`boolean`
`isBold()`
`boolean`
`isItalic()`
`boolean`
`isSetBold()`
`boolean`
`isSetItalic()`
`boolean`
`isSetRotation()`
`boolean`
`isSetSize()`
`boolean`
`isSetStrikethrough()`
`boolean`
`isSetUnderline()`
`boolean`
`isSetWordWrap()`
`boolean`
`isStrikethrough()`
`boolean`
`isUnderline()`
`boolean`
`isWordWrap()`
`void`
`setAlignment(TextAlignment newAlignment)`
`void`
`setBold(boolean newBold)`
`void`
`setItalic(boolean newItalic)`
`void`
`setName(String newName)`
`void`
`setRotation(double newRotation)`
`void`
`setSize(float newSize)`
`void`
`setStrikethrough(boolean newStrikethrough)`
`void`
`setUnderline(boolean newUnderline)`
`void`
`setWordWrap(boolean newWordWrap)`
`String`
`toString()`
`void`
`unsetBold()`
`void`
`unsetItalic()`
`void`
`unsetRotation()`
`void`
`unsetSize()`
`void`
`unsetStrikethrough()`
`void`
`unsetUnderline()`
`void`
`unsetWordWrap()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Constructor Details

### FontDefinitionImpl

public FontDefinitionImpl(String sName, float fSize)
A convenient constructor that allows partial definition of member variables. NOTE: Manually written

Parameters:
  `sName` -
  `dSize` -

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `FontDefinition`
Returns:
  the value of the 'Name' attribute.
See Also:
  - `FontDefinition.setName(String)`
  - `AttributePackage.getFontDefinition_Name()`

### setName

public void setName(String newName)

Specified by:
  `setName` in interface `FontDefinition`
Parameters:
  `newName` - the new value of the 'Name' attribute.
See Also:
  - `FontDefinition.getName()`

### getSize

public float getSize()

Specified by:
  `getSize` in interface `FontDefinition`
Returns:
  the value of the 'Size' attribute.
See Also:
  - `FontDefinition.isSetSize()`
  - `FontDefinition.unsetSize()`
  - `FontDefinition.setSize(float)`
  - `AttributePackage.getFontDefinition_Size()`

### setSize

public void setSize(float newSize)

Specified by:
  `setSize` in interface `FontDefinition`
Parameters:
  `newSize` - the new value of the 'Size' attribute.
See Also:
  - `FontDefinition.isSetSize()`
  - `FontDefinition.unsetSize()`
  - `FontDefinition.getSize()`

### unsetSize

public void unsetSize()

Specified by:
  `unsetSize` in interface `FontDefinition`
See Also:
  - `FontDefinition.isSetSize()`
  - `FontDefinition.getSize()`
  - `FontDefinition.setSize(float)`

### isSetSize

public boolean isSetSize()

Specified by:
  `isSetSize` in interface `FontDefinition`
Returns:
  whether the value of the 'Size' attribute is set.
See Also:
  - `FontDefinition.unsetSize()`
  - `FontDefinition.getSize()`
  - `FontDefinition.setSize(float)`

### isBold

public boolean isBold()

Specified by:
  `isBold` in interface `FontDefinition`
Returns:
  the value of the 'Bold' attribute.
See Also:
  - `FontDefinition.isSetBold()`
  - `FontDefinition.unsetBold()`
  - `FontDefinition.setBold(boolean)`
  - `AttributePackage.getFontDefinition_Bold()`

### setBold

public void setBold(boolean newBold)

Specified by:
  `setBold` in interface `FontDefinition`
Parameters:
  `newBold` - the new value of the 'Bold' attribute.
See Also:
  - `FontDefinition.isSetBold()`
  - `FontDefinition.unsetBold()`
  - `FontDefinition.isBold()`

### unsetBold

public void unsetBold()

Specified by:
  `unsetBold` in interface `FontDefinition`
See Also:
  - `FontDefinition.isSetBold()`
  - `FontDefinition.isBold()`
  - `FontDefinition.setBold(boolean)`

### isSetBold

public boolean isSetBold()

Specified by:
  `isSetBold` in interface `FontDefinition`
Returns:
  whether the value of the 'Bold' attribute is set.
See Also:
  - `FontDefinition.unsetBold()`
  - `FontDefinition.isBold()`
  - `FontDefinition.setBold(boolean)`

### isItalic

public boolean isItalic()

Specified by:
  `isItalic` in interface `FontDefinition`
Returns:
  the value of the 'Italic' attribute.
See Also:
  - `FontDefinition.isSetItalic()`
  - `FontDefinition.unsetItalic()`
  - `FontDefinition.setItalic(boolean)`
  - `AttributePackage.getFontDefinition_Italic()`

### setItalic

public void setItalic(boolean newItalic)

Specified by:
  `setItalic` in interface `FontDefinition`
Parameters:
  `newItalic` - the new value of the 'Italic' attribute.
See Also:
  - `FontDefinition.isSetItalic()`
  - `FontDefinition.unsetItalic()`
  - `FontDefinition.isItalic()`

### unsetItalic

public void unsetItalic()

Specified by:
  `unsetItalic` in interface `FontDefinition`
See Also:
  - `FontDefinition.isSetItalic()`
  - `FontDefinition.isItalic()`
  - `FontDefinition.setItalic(boolean)`

### isSetItalic

public boolean isSetItalic()

Specified by:
  `isSetItalic` in interface `FontDefinition`
Returns:
  whether the value of the 'Italic' attribute is set.
See Also:
  - `FontDefinition.unsetItalic()`
  - `FontDefinition.isItalic()`
  - `FontDefinition.setItalic(boolean)`

### isStrikethrough

public boolean isStrikethrough()

Specified by:
  `isStrikethrough` in interface `FontDefinition`
Returns:
  the value of the 'Strikethrough' attribute.
See Also:
  - `FontDefinition.isSetStrikethrough()`
  - `FontDefinition.unsetStrikethrough()`
  - `FontDefinition.setStrikethrough(boolean)`
  - `AttributePackage.getFontDefinition_Strikethrough()`

### setStrikethrough

public void setStrikethrough(boolean newStrikethrough)

Specified by:
  `setStrikethrough` in interface `FontDefinition`
Parameters:
  `newStrikethrough` - the new value of the 'Strikethrough' attribute.
See Also:
  - `FontDefinition.isSetStrikethrough()`
  - `FontDefinition.unsetStrikethrough()`
  - `FontDefinition.isStrikethrough()`

### unsetStrikethrough

public void unsetStrikethrough()

Specified by:
  `unsetStrikethrough` in interface `FontDefinition`
See Also:
  - `FontDefinition.isSetStrikethrough()`
  - `FontDefinition.isStrikethrough()`
  - `FontDefinition.setStrikethrough(boolean)`

### isSetStrikethrough

public boolean isSetStrikethrough()

Specified by:
  `isSetStrikethrough` in interface `FontDefinition`
Returns:
  whether the value of the 'Strikethrough' attribute is set.
See Also:
  - `FontDefinition.unsetStrikethrough()`
  - `FontDefinition.isStrikethrough()`
  - `FontDefinition.setStrikethrough(boolean)`

### isUnderline

public boolean isUnderline()

Specified by:
  `isUnderline` in interface `FontDefinition`
Returns:
  the value of the 'Underline' attribute.
See Also:
  - `FontDefinition.isSetUnderline()`
  - `FontDefinition.unsetUnderline()`
  - `FontDefinition.setUnderline(boolean)`
  - `AttributePackage.getFontDefinition_Underline()`

### setUnderline

public void setUnderline(boolean newUnderline)

Specified by:
  `setUnderline` in interface `FontDefinition`
Parameters:
  `newUnderline` - the new value of the 'Underline' attribute.
See Also:
  - `FontDefinition.isSetUnderline()`
  - `FontDefinition.unsetUnderline()`
  - `FontDefinition.isUnderline()`

### unsetUnderline

public void unsetUnderline()

Specified by:
  `unsetUnderline` in interface `FontDefinition`
See Also:
  - `FontDefinition.isSetUnderline()`
  - `FontDefinition.isUnderline()`
  - `FontDefinition.setUnderline(boolean)`

### isSetUnderline

public boolean isSetUnderline()

Specified by:
  `isSetUnderline` in interface `FontDefinition`
Returns:
  whether the value of the 'Underline' attribute is set.
See Also:
  - `FontDefinition.unsetUnderline()`
  - `FontDefinition.isUnderline()`
  - `FontDefinition.setUnderline(boolean)`

### isWordWrap

public boolean isWordWrap()

Specified by:
  `isWordWrap` in interface `FontDefinition`
Returns:
  the value of the 'Word Wrap' attribute.
See Also:
  - `FontDefinition.isSetWordWrap()`
  - `FontDefinition.unsetWordWrap()`
  - `FontDefinition.setWordWrap(boolean)`
  - `AttributePackage.getFontDefinition_WordWrap()`

### setWordWrap

public void setWordWrap(boolean newWordWrap)

Specified by:
  `setWordWrap` in interface `FontDefinition`
Parameters:
  `newWordWrap` - the new value of the 'Word Wrap' attribute.
See Also:
  - `FontDefinition.isSetWordWrap()`
  - `FontDefinition.unsetWordWrap()`
  - `FontDefinition.isWordWrap()`

### unsetWordWrap

public void unsetWordWrap()

Specified by:
  `unsetWordWrap` in interface `FontDefinition`
See Also:
  - `FontDefinition.isSetWordWrap()`
  - `FontDefinition.isWordWrap()`
  - `FontDefinition.setWordWrap(boolean)`

### isSetWordWrap

public boolean isSetWordWrap()

Specified by:
  `isSetWordWrap` in interface `FontDefinition`
Returns:
  whether the value of the 'Word Wrap' attribute is set.
See Also:
  - `FontDefinition.unsetWordWrap()`
  - `FontDefinition.isWordWrap()`
  - `FontDefinition.setWordWrap(boolean)`

### getAlignment

public TextAlignment getAlignment()

Specified by:
  `getAlignment` in interface `FontDefinition`
Returns:
  the value of the 'Alignment' containment reference.
See Also:
  - `FontDefinition.setAlignment(TextAlignment)`
  - `AttributePackage.getFontDefinition_Alignment()`

### basicSetAlignment

public org.eclipse.emf.common.notify.NotificationChain basicSetAlignment(TextAlignment newAlignment, org.eclipse.emf.common.notify.NotificationChain msgs)

### setAlignment

public void setAlignment(TextAlignment newAlignment)

Specified by:
  `setAlignment` in interface `FontDefinition`
Parameters:
  `newAlignment` - the new value of the 'Alignment' containment reference.
See Also:
  - `FontDefinition.getAlignment()`

### getRotation

public double getRotation()

Specified by:
  `getRotation` in interface `FontDefinition`
Returns:
  the value of the 'Rotation' attribute.
See Also:
  - `FontDefinition.isSetRotation()`
  - `FontDefinition.unsetRotation()`
  - `FontDefinition.setRotation(double)`
  - `AttributePackage.getFontDefinition_Rotation()`

### setRotation

public void setRotation(double newRotation)

Specified by:
  `setRotation` in interface `FontDefinition`
Parameters:
  `newRotation` - the new value of the 'Rotation' attribute.
See Also:
  - `FontDefinition.isSetRotation()`
  - `FontDefinition.unsetRotation()`
  - `FontDefinition.getRotation()`

### unsetRotation

public void unsetRotation()

Specified by:
  `unsetRotation` in interface `FontDefinition`
See Also:
  - `FontDefinition.isSetRotation()`
  - `FontDefinition.getRotation()`
  - `FontDefinition.setRotation(double)`

### isSetRotation

public boolean isSetRotation()

Specified by:
  `isSetRotation` in interface `FontDefinition`
Returns:
  whether the value of the 'Rotation' attribute is set.
See Also:
  - `FontDefinition.unsetRotation()`
  - `FontDefinition.getRotation()`
  - `FontDefinition.setRotation(double)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final FontDefinition create(String sName, float fSize, boolean bBold, boolean bItalic, boolean bUnderline, boolean bStrikethrough, boolean bWordWrap, double dRotation, TextAlignment ta)
NOTE: Manually written

Parameters:
  `sName` -
  `fSize` -
  `bBold` -
  `bItalic` -
  `bUnderline` -
  `bStrikethrough` -
  `bWordWrap` -
  `dRotation` -
  `ta` -
Returns:

### createEmpty

public static final FontDefinition createEmpty()
Creates an empty FontDefinition instance.

Returns:

### createEmptyDefault

public static final FontDefinition createEmptyDefault()

### copyInstance

public FontDefinition copyInstance()
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `FontDefinition`
Specified by:
  `copyInstance` in interface `IChartObject`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`